<?php
/**
 * @version     $Id$
 * @package     WebDevTrack
 * @subpackage  com_webdevtrack
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

/**
 * WebDevTrack Component Controller
 *
 * @package     WebDevTrack
 * @subpackage  com_webdevtrack
 * @since       1.3.0
 */
class WebDevTrackController extends JController
{
	/**
	 * @var    string  The default view.
	 * @since  1.3.0
	 */
	protected $default_view = 'customers';

	/**
	 * Override the display method for the controller.
	 *
	 * @return  void
	 * @since   1.3.0
	 */
	function display()
	{
		// Load the component helper.
		require_once JPATH_COMPONENT.'/helpers/webdevtrack.php';

		// Load the submenu.
		$view = JRequest::getCmd('view', 'customers');
		WebDevTrackHelper::addSubmenu($view);

		// Display the view.
		parent::display();
	}}